Package org.apache.calcite.avatica.proto

## Class Common.TypedValue.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Common.TypedValue.Builder>
      - - org.apache.calcite.avatica.proto.Common.TypedValue.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `java.lang.Cloneable`, `Common.TypedValueOrBuilder`

Enclosing class:
  Common.TypedValue

    public static final class Common.TypedValue.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Common.TypedValue.Builder>
    implements Common.TypedValueOrBuilder

     Generic wrapper to support any SQL type. Struct-like to work around no polymorphism construct.

Protobuf type `TypedValue`

### Field Summary

Fields
`private java.util.List<Common.TypedValue>` `arrayValue_`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,​Common.TypedValue.Builder,​Common.TypedValueOrBuilder>` `arrayValueBuilder_`
`private int` `bitField0_`
`private boolean` `boolValue_`
`private com.google.protobuf.ByteString` `bytesValue_`
`private int` `componentType_`
`private double` `doubleValue_`
`private boolean` `implicitlyNull_`
`private boolean` `null_`
`private long` `numberValue_`
`private java.lang.Object` `stringValue_`
`private int` `type_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Common.TypedValue.Builder` `addAllArrayValue​(java.lang.Iterable<? extends Common.TypedValue> values)` The Array
`Common.TypedValue.Builder` `addArrayValue​(int index, Common.TypedValue value)` The Array
`Common.TypedValue.Builder` `addArrayValue​(int index, Common.TypedValue.Builder builderForValue)` The Array
`Common.TypedValue.Builder` `addArrayValue​(Common.TypedValue value)` The Array
`Common.TypedValue.Builder` `addArrayValue​(Common.TypedValue.Builder builderForValue)` The Array
`Common.TypedValue.Builder` `addArrayValueBuilder()` The Array
`Common.TypedValue.Builder` `addArrayValueBuilder​(int index)` The Array
`Common.TypedValue.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Common.TypedValue` `build()`
`Common.TypedValue` `buildPartial()`
`Common.TypedValue.Builder` `clear()`
`Common.TypedValue.Builder` `clearArrayValue()` The Array
`Common.TypedValue.Builder` `clearBoolValue()` boolean
`Common.TypedValue.Builder` `clearBytesValue()` includes numeric types and date/time types.
`Common.TypedValue.Builder` `clearComponentType()` If an Array, the representation for the array values
`Common.TypedValue.Builder` `clearDoubleValue()` big numbers
`Common.TypedValue.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Common.TypedValue.Builder` `clearImplicitlyNull()` Differentiate between explicitly null (user-set) and implicitly null
`Common.TypedValue.Builder` `clearNull()` a null object
`Common.TypedValue.Builder` `clearNumberValue()` var-len encoding lets us shove anything from byte to long
`Common.TypedValue.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Common.TypedValue.Builder` `clearStringValue()` char/varchar
`Common.TypedValue.Builder` `clearType()` The actual type that was serialized in the general attribute below
`Common.TypedValue.Builder` `clone()`
`private void` `ensureArrayValueIsMutable()`
`Common.TypedValue` `getArrayValue​(int index)` The Array
`Common.TypedValue.Builder` `getArrayValueBuilder​(int index)` The Array
`java.util.List<Common.TypedValue.Builder>` `getArrayValueBuilderList()` The Array
`int` `getArrayValueCount()` The Array
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,​Common.TypedValue.Builder,​Common.TypedValueOrBuilder>` `getArrayValueFieldBuilder()`
`java.util.List<Common.TypedValue>` `getArrayValueList()` The Array
`Common.TypedValueOrBuilder` `getArrayValueOrBuilder​(int index)` The Array
`java.util.List<? extends Common.TypedValueOrBuilder>` `getArrayValueOrBuilderList()` The Array
`boolean` `getBoolValue()` boolean
`com.google.protobuf.ByteString` `getBytesValue()` includes numeric types and date/time types.
`Common.Rep` `getComponentType()` If an Array, the representation for the array values
`int` `getComponentTypeValue()` If an Array, the representation for the array values
`Common.TypedValue` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`double` `getDoubleValue()` big numbers
`boolean` `getImplicitlyNull()` Differentiate between explicitly null (user-set) and implicitly null
`boolean` `getNull()` a null object
`long` `getNumberValue()` var-len encoding lets us shove anything from byte to long
`java.lang.String` `getStringValue()` char/varchar
`com.google.protobuf.ByteString` `getStringValueBytes()` char/varchar
`Common.Rep` `getType()` The actual type that was serialized in the general attribute below
`int` `getTypeValue()` The actual type that was serialized in the general attribute below
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Common.TypedValue.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Common.TypedValue.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`Common.TypedValue.Builder` `mergeFrom​(Common.TypedValue other)`
`Common.TypedValue.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.TypedValue.Builder` `removeArrayValue​(int index)` The Array
`Common.TypedValue.Builder` `setArrayValue​(int index, Common.TypedValue value)` The Array
`Common.TypedValue.Builder` `setArrayValue​(int index, Common.TypedValue.Builder builderForValue)` The Array
`Common.TypedValue.Builder` `setBoolValue​(boolean value)` boolean
`Common.TypedValue.Builder` `setBytesValue​(com.google.protobuf.ByteString value)` includes numeric types and date/time types.
`Common.TypedValue.Builder` `setComponentType​(Common.Rep value)` If an Array, the representation for the array values
`Common.TypedValue.Builder` `setComponentTypeValue​(int value)` If an Array, the representation for the array values
`Common.TypedValue.Builder` `setDoubleValue​(double value)` big numbers
`Common.TypedValue.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Common.TypedValue.Builder` `setImplicitlyNull​(boolean value)` Differentiate between explicitly null (user-set) and implicitly null
`Common.TypedValue.Builder` `setNull​(boolean value)` a null object
`Common.TypedValue.Builder` `setNumberValue​(long value)` var-len encoding lets us shove anything from byte to long
`Common.TypedValue.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)`
`Common.TypedValue.Builder` `setStringValue​(java.lang.String value)` char/varchar
`Common.TypedValue.Builder` `setStringValueBytes​(com.google.protobuf.ByteString value)` char/varchar
`Common.TypedValue.Builder` `setType​(Common.Rep value)` The actual type that was serialized in the general attribute below
`Common.TypedValue.Builder` `setTypeValue​(int value)` The actual type that was serialized in the general attribute below
`Common.TypedValue.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Field Detail

#### bitField0_

    private int bitField0_

#### type_

    private int type_

#### boolValue_

    private boolean boolValue_

#### stringValue_

    private java.lang.Object stringValue_

#### numberValue_

    private long numberValue_

#### bytesValue_

    private com.google.protobuf.ByteString bytesValue_

#### doubleValue_

    private double doubleValue_

#### null_

    private boolean null_

#### arrayValue_

    private java.util.List<Common.TypedValue> arrayValue_

#### arrayValueBuilder_

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,​Common.TypedValue.Builder,​Common.TypedValueOrBuilder> arrayValueBuilder_

#### componentType_

    private int componentType_

#### implicitlyNull_

    private boolean implicitlyNull_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.TypedValue.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Common.TypedValue.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.TypedValue.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.TypedValue.Builder>`

#### getDefaultInstanceForType

    public Common.TypedValue getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Common.TypedValue build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Common.TypedValue buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Common.TypedValue.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.TypedValue.Builder>`

#### setField

    public Common.TypedValue.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                              java.lang.Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.TypedValue.Builder>`

#### clearField

    public Common.TypedValue.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.TypedValue.Builder>`

#### clearOneof

    public Common.TypedValue.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.TypedValue.Builder>`

#### setRepeatedField

    public Common.TypedValue.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      int index,
                                                      java.lang.Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.TypedValue.Builder>`

#### addRepeatedField

    public Common.TypedValue.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      java.lang.Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.TypedValue.Builder>`

#### mergeFrom

    public Common.TypedValue.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.TypedValue.Builder>`

#### mergeFrom

    public Common.TypedValue.Builder mergeFrom​(Common.TypedValue other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.TypedValue.Builder>`

#### mergeFrom

    public Common.TypedValue.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws java.io.IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.TypedValue.Builder>`
Throws:
  `java.io.IOException`

#### getTypeValue

    public int getTypeValue()

     The actual type that was serialized in the general attribute below

`.Rep type = 1;`

Specified by:
  `getTypeValue` in interface `Common.TypedValueOrBuilder`

#### setTypeValue

    public Common.TypedValue.Builder setTypeValue​(int value)

     The actual type that was serialized in the general attribute below

`.Rep type = 1;`

#### getType

    public Common.Rep getType()

     The actual type that was serialized in the general attribute below

`.Rep type = 1;`

Specified by:
  `getType` in interface `Common.TypedValueOrBuilder`

#### setType

    public Common.TypedValue.Builder setType​(Common.Rep value)

     The actual type that was serialized in the general attribute below

`.Rep type = 1;`

#### clearType

    public Common.TypedValue.Builder clearType()

     The actual type that was serialized in the general attribute below

`.Rep type = 1;`

#### getBoolValue

    public boolean getBoolValue()

     boolean

`bool bool_value = 2;`

Specified by:
  `getBoolValue` in interface `Common.TypedValueOrBuilder`

#### setBoolValue

    public Common.TypedValue.Builder setBoolValue​(boolean value)

     boolean

`bool bool_value = 2;`

#### clearBoolValue

    public Common.TypedValue.Builder clearBoolValue()

     boolean

`bool bool_value = 2;`

#### getStringValue

    public java.lang.String getStringValue()

     char/varchar

`string string_value = 3;`

Specified by:
  `getStringValue` in interface `Common.TypedValueOrBuilder`

#### getStringValueBytes

    public com.google.protobuf.ByteString getStringValueBytes()

     char/varchar

`string string_value = 3;`

Specified by:
  `getStringValueBytes` in interface `Common.TypedValueOrBuilder`

#### setStringValue

    public Common.TypedValue.Builder setStringValue​(java.lang.String value)

     char/varchar

`string string_value = 3;`

#### clearStringValue

    public Common.TypedValue.Builder clearStringValue()

     char/varchar

`string string_value = 3;`

#### setStringValueBytes

    public Common.TypedValue.Builder setStringValueBytes​(com.google.protobuf.ByteString value)

     char/varchar

`string string_value = 3;`

#### getNumberValue

    public long getNumberValue()

     var-len encoding lets us shove anything from byte to long

`sint64 number_value = 4;`

Specified by:
  `getNumberValue` in interface `Common.TypedValueOrBuilder`

#### setNumberValue

    public Common.TypedValue.Builder setNumberValue​(long value)

     var-len encoding lets us shove anything from byte to long

`sint64 number_value = 4;`

#### clearNumberValue

    public Common.TypedValue.Builder clearNumberValue()

     var-len encoding lets us shove anything from byte to long

`sint64 number_value = 4;`

#### getBytesValue

    public com.google.protobuf.ByteString getBytesValue()

     includes numeric types and date/time types.

`bytes bytes_value = 5;`

Specified by:
  `getBytesValue` in interface `Common.TypedValueOrBuilder`

#### setBytesValue

    public Common.TypedValue.Builder setBytesValue​(com.google.protobuf.ByteString value)

     includes numeric types and date/time types.

`bytes bytes_value = 5;`

#### clearBytesValue

    public Common.TypedValue.Builder clearBytesValue()

     includes numeric types and date/time types.

`bytes bytes_value = 5;`

#### getDoubleValue

    public double getDoubleValue()

     big numbers

`double double_value = 6;`

Specified by:
  `getDoubleValue` in interface `Common.TypedValueOrBuilder`

#### setDoubleValue

    public Common.TypedValue.Builder setDoubleValue​(double value)

     big numbers

`double double_value = 6;`

#### clearDoubleValue

    public Common.TypedValue.Builder clearDoubleValue()

     big numbers

`double double_value = 6;`

#### getNull

    public boolean getNull()

     a null object

`bool null = 7;`

Specified by:
  `getNull` in interface `Common.TypedValueOrBuilder`

#### setNull

    public Common.TypedValue.Builder setNull​(boolean value)

     a null object

`bool null = 7;`

#### clearNull

    public Common.TypedValue.Builder clearNull()

     a null object

`bool null = 7;`

#### ensureArrayValueIsMutable

    private void ensureArrayValueIsMutable()

#### getArrayValueList

    public java.util.List<Common.TypedValue> getArrayValueList()

     The Array

`repeated .TypedValue array_value = 8;`

Specified by:
  `getArrayValueList` in interface `Common.TypedValueOrBuilder`

#### getArrayValueCount

    public int getArrayValueCount()

     The Array

`repeated .TypedValue array_value = 8;`

Specified by:
  `getArrayValueCount` in interface `Common.TypedValueOrBuilder`

#### getArrayValue

    public Common.TypedValue getArrayValue​(int index)

     The Array

`repeated .TypedValue array_value = 8;`

Specified by:
  `getArrayValue` in interface `Common.TypedValueOrBuilder`

#### setArrayValue

    public Common.TypedValue.Builder setArrayValue​(int index,
                                                   Common.TypedValue value)

     The Array

`repeated .TypedValue array_value = 8;`

#### setArrayValue

    public Common.TypedValue.Builder setArrayValue​(int index,
                                                   Common.TypedValue.Builder builderForValue)

     The Array

`repeated .TypedValue array_value = 8;`

#### addArrayValue

    public Common.TypedValue.Builder addArrayValue​(Common.TypedValue value)

     The Array

`repeated .TypedValue array_value = 8;`

#### addArrayValue

    public Common.TypedValue.Builder addArrayValue​(int index,
                                                   Common.TypedValue value)

     The Array

`repeated .TypedValue array_value = 8;`

#### addArrayValue

    public Common.TypedValue.Builder addArrayValue​(Common.TypedValue.Builder builderForValue)

     The Array

`repeated .TypedValue array_value = 8;`

#### addArrayValue

    public Common.TypedValue.Builder addArrayValue​(int index,
                                                   Common.TypedValue.Builder builderForValue)

     The Array

`repeated .TypedValue array_value = 8;`

#### addAllArrayValue

    public Common.TypedValue.Builder addAllArrayValue​(java.lang.Iterable<? extends Common.TypedValue> values)

     The Array

`repeated .TypedValue array_value = 8;`

#### clearArrayValue

    public Common.TypedValue.Builder clearArrayValue()

     The Array

`repeated .TypedValue array_value = 8;`

#### removeArrayValue

    public Common.TypedValue.Builder removeArrayValue​(int index)

     The Array

`repeated .TypedValue array_value = 8;`

#### getArrayValueBuilder

    public Common.TypedValue.Builder getArrayValueBuilder​(int index)

     The Array

`repeated .TypedValue array_value = 8;`

#### getArrayValueOrBuilder

    public Common.TypedValueOrBuilder getArrayValueOrBuilder​(int index)

     The Array

`repeated .TypedValue array_value = 8;`

Specified by:
  `getArrayValueOrBuilder` in interface `Common.TypedValueOrBuilder`

#### getArrayValueOrBuilderList

    public java.util.List<? extends Common.TypedValueOrBuilder> getArrayValueOrBuilderList()

     The Array

`repeated .TypedValue array_value = 8;`

Specified by:
  `getArrayValueOrBuilderList` in interface `Common.TypedValueOrBuilder`

#### addArrayValueBuilder

    public Common.TypedValue.Builder addArrayValueBuilder()

     The Array

`repeated .TypedValue array_value = 8;`

#### addArrayValueBuilder

    public Common.TypedValue.Builder addArrayValueBuilder​(int index)

     The Array

`repeated .TypedValue array_value = 8;`

#### getArrayValueBuilderList

    public java.util.List<Common.TypedValue.Builder> getArrayValueBuilderList()

     The Array

`repeated .TypedValue array_value = 8;`

#### getArrayValueFieldBuilder

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,​Common.TypedValue.Builder,​Common.TypedValueOrBuilder> getArrayValueFieldBuilder()

#### getComponentTypeValue

    public int getComponentTypeValue()

     If an Array, the representation for the array values

`.Rep component_type = 9;`

Specified by:
  `getComponentTypeValue` in interface `Common.TypedValueOrBuilder`

#### setComponentTypeValue

    public Common.TypedValue.Builder setComponentTypeValue​(int value)

     If an Array, the representation for the array values

`.Rep component_type = 9;`

#### getComponentType

    public Common.Rep getComponentType()

     If an Array, the representation for the array values

`.Rep component_type = 9;`

Specified by:
  `getComponentType` in interface `Common.TypedValueOrBuilder`

#### setComponentType

    public Common.TypedValue.Builder setComponentType​(Common.Rep value)

     If an Array, the representation for the array values

`.Rep component_type = 9;`

#### clearComponentType

    public Common.TypedValue.Builder clearComponentType()

     If an Array, the representation for the array values

`.Rep component_type = 9;`

#### getImplicitlyNull

    public boolean getImplicitlyNull()

     Differentiate between explicitly null (user-set) and implicitly null

`bool implicitly_null = 10;`

Specified by:
  `getImplicitlyNull` in interface `Common.TypedValueOrBuilder`

#### setImplicitlyNull

    public Common.TypedValue.Builder setImplicitlyNull​(boolean value)

     Differentiate between explicitly null (user-set) and implicitly null

`bool implicitly_null = 10;`

#### clearImplicitlyNull

    public Common.TypedValue.Builder clearImplicitlyNull()

     Differentiate between explicitly null (user-set) and implicitly null

`bool implicitly_null = 10;`

#### setUnknownFields

    public final Common.TypedValue.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.TypedValue.Builder>`

#### mergeUnknownFields

    public final Common.TypedValue.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.TypedValue.Builder>`